#!/usr/bin/python

import sys
from qt import *
from kdecore import *

import rssmixtape.config as config

from rssmixtape.MixTapeImpl import MixTapeImpl
from rssmixtape.ConfigEditorImpl import ConfigEditorImpl
from rssmixtape.FeedEditorImpl import FeedEditorImpl


def main (args):
    app = KApplication (args, "mixtape")

    if not config.get ("outputDir"):
        cei = ConfigEditorImpl ()
        cei.exec_loop ()
        if cei.result () == QDialog.Rejected:
            print "RSS Mix Feed is not configured, and cannot start."
            return #not configured
        else:
            fei = FeedEditorImpl ()
            fei.exec_loop ()

            
    mti = MixTapeImpl ()
    mti.show ()
    
    app.connect (app, SIGNAL ("lastWindowClosed ()"),
                app, SLOT ("quit ()"))
    app.exec_loop ()
    
if __name__ == "__main__":
    main (sys.argv)
